Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » virgo ide installation failed
virgo ide installation failed [message #847385] Tue, 17 April 2012 08:49 Go to next message
abrams zeng is currently offline abrams zengFriend
Messages: 5
Registered: April 2012
Junior Member
I tried to install 'download.eclipse.org/virgo/milestone/IDE/' on springsource-tool-suite-2.8.1|eclipse-jee-indigo-SR2-win32-x86_64|springsource-tool-suite-2.9.1,but all failed at last.

Installation on offline mode is the same.

could any one help me?

thanks in advance.
Re: virgo ide installation failed [message #847798 is a reply to message #847385] Tue, 17 April 2012 17:04 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Abrams,

We can try if you provide a bit more information. Smile But please see the wiki page, we recommend installing the snapshot version for now.

cheers,

Miles
Re: virgo ide installation failed [message #848317 is a reply to message #847798] Wed, 18 April 2012 05:39 Go to previous messageGo to next message
abrams zeng is currently offline abrams zengFriend
Messages: 5
Registered: April 2012
Junior Member
Thanks,Miles,

I will try the snapshot version again.

BTW,I have ever installed this plugin successfully on eclipse-helios,both online and offline.

But failed on eclipse-indigo.
Re: virgo ide installation failed [message #848329 is a reply to message #848317] Wed, 18 April 2012 05:55 Go to previous messageGo to next message
abrams zeng is currently offline abrams zengFriend
Messages: 5
Registered: April 2012
Junior Member
Hi,Miles

i used springsource-tool-suite-2.9.1 to install 'virgo tools' following the guide from 'wiki.eclipse.org/Virgo/Tooling#Snapshot'

I could select feature ' Eclipse Virgo Tools 1.0.0.201204170135-SNAPSHOT' only,click button 'Next'.

Response with the following logs,could you help me to check it.

Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse Virgo Tools 1.0.0.201204170135-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201204170135-SNAPSHOT)
Missing requirement: Eclipse Virgo IDE (Server Core) 1.0.0.201204170135-SNAPSHOT (org.eclipse.virgo.ide.runtime.core 1.0.0.201204170135-SNAPSHOT) requires 'bundle org.json 0.0.0' but it could not be found
Cannot satisfy dependency:
From: Eclipse Virgo Tools 1.0.0.201204170135-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201204170135-SNAPSHOT)
To: org.eclipse.virgo.ide.runtime.core [1.0.0.201204170135-SNAPSHOT]

Thanks
Abrams
Re: virgo ide installation failed [message #848706 is a reply to message #848329] Wed, 18 April 2012 13:57 Go to previous messageGo to next message
Florian Waibel is currently offline Florian WaibelFriend
Messages: 100
Registered: June 2010
Senior Member
Hi Abrams,

sometimes the checkbox "Contact all update sites during install to find required software" is not checked.

Maybe you could give it another try with this checkbox flagged.

Regards,
Florian
Re: virgo ide installation failed [message #848779 is a reply to message #848706] Wed, 18 April 2012 15:09 Go to previous messageGo to next message
abrams zeng is currently offline abrams zengFriend
Messages: 5
Registered: April 2012
Junior Member
thanks,lorian

your tips are ususally applied when install on offline-mode.
i try on online-mode,will get the lastest version by default.

this time,'Eclipse Virgo Tools 1.0.0.201204170135-SNAPSHOT' by default.

still failed.

BR,
Abrams
Re: virgo ide installation failed [message #849690 is a reply to message #847385] Thu, 19 April 2012 11:21 Go to previous messageGo to next message
Anton Kolmakov is currently offline Anton KolmakovFriend
Messages: 14
Registered: January 2012
Junior Member
I cannot install the tool too. I am trying to do that on

Eclipse Java EE IDE for Web Developers.

Version: Helios Service Release 2
Build id: 20110218-0911

using snapshot update site

download.eclipse.org/virgo/snapshot/tooling

The error is:

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Virgo Tools 1.0.0.201204182306-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201204182306-SNAPSHOT)
Software currently installed: Eclipse IDE for Java EE Developers 1.3.2.20110218-0812 (epp.package.jee 1.3.2.20110218-0812)
Only one of the following can be installed at once:
OSGi System Bundle 3.6.2.R36x_v20110210 (org.eclipse.osgi 3.6.2.R36x_v20110210)
OSGi System Bundle 3.6.1.R36x_v20100806 (org.eclipse.osgi 3.6.1.R36x_v20100806)
OSGi System Bundle 3.6.0.v20100517 (org.eclipse.osgi 3.6.0.v20100517)
OSGi System Bundle 3.7.1.R37x_v20110808-1106 (org.eclipse.osgi 3.7.1.R37x_v20110808-1106)
OSGi System Bundle 3.7.0.v20110613 (org.eclipse.osgi 3.7.0.v20110613)
Cannot satisfy dependency:
From: Eclipse IDE for Java EE Developers 1.3.2.20110218-0812 (epp.package.jee 1.3.2.20110218-0812)
To: org.eclipse.epp.package.jee.feature.feature.group
Cannot satisfy dependency:
From: Java EE IDE Feature 1.3.2.20110218-0812 (org.eclipse.epp.package.jee.feature.feature.group 1.3.2.20110218-0812)
To: org.eclipse.platform.feature.group
Cannot satisfy dependency:
From: Region Digraph 1.0.0.v20110503 (org.eclipse.equinox.region 1.0.0.v20110503)
To: package org.osgi.util.tracker 1.5.0
Cannot satisfy dependency:
From: Eclipse Platform 3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi (org.eclipse.platform.feature.group 3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi)
To: org.eclipse.rcp.feature.group
Cannot satisfy dependency:
From: Eclipse RCP 3.6.2.r362_v20101104-9SAxFMKFkSAqi8axkv1ZjegmiBLY (org.eclipse.rcp.feature.group 3.6.2.r362_v20101104-9SAxFMKFkSAqi8axkv1ZjegmiBLY)
To: org.eclipse.osgi
Cannot satisfy dependency:
From: Eclipse Virgo Tools 1.0.0.201204182306-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201204182306-SNAPSHOT)
To: org.eclipse.virgo.ide.manifest.core [1.0.0.201204182306-SNAPSHOT]
Cannot satisfy dependency:
From: Eclipse Virgo IDE (Manifest Core) 1.0.0.201204182306-SNAPSHOT (org.eclipse.virgo.ide.manifest.core 1.0.0.201204182306-SNAPSHOT)
To: bundle org.eclipse.virgo.kernel.artifact 0.0.0
Cannot satisfy dependency:
From: Virgo Kernel Artifact Integration 3.5.0.M03 (org.eclipse.virgo.kernel.artifact 3.5.0.M03)
To: package org.eclipse.virgo.kernel.serviceability [3.5.0,3.6.0)
Cannot satisfy dependency:
From: Virgo Kernel Core 3.5.0.M03 (org.eclipse.virgo.kernel.core 3.5.0.M03)
To: package org.eclipse.equinox.region [1.0.0,1.1.0)
Re: virgo ide installation failed [message #850339 is a reply to message #849690] Fri, 20 April 2012 01:07 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
I'm sorry you guys are having problems. I did just try to install under Indigo, and had no problems. Have you tried a fresh Indigo JEE with 'http://download.eclipse.org/virgo/milestone/tooling/'

That said, I just tried and it appears that Helios *is* broken, and I would imagine that there are some Spring Source distributions that use Helios. It looks like a dependency from virgo kernel, not tooling per se, but I'll look into that. In the meantime, I'll update the Wiki to reflect.

Re: virgo ide installation failed [message #850347 is a reply to message #850339] Fri, 20 April 2012 01:17 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
re: Helios support, please see: 377236: Kernel dependency appears to be incompatible with Helios
https://bugs.eclipse.org/bugs/show_bug.cgi?id=377236. I'll update here when that is resolved one way or another.

re: Indigo, if you continue to have issues there, please let us know.
Re: virgo ide installation failed [message #853933 is a reply to message #850339] Mon, 23 April 2012 13:34 Go to previous messageGo to next message
abrams zeng is currently offline abrams zengFriend
Messages: 5
Registered: April 2012
Junior Member
thanks,Miles,

I have just re-tried the lastest version of virgo-tooling with link 'download.eclipse.org/virgo/milestone/tooling/',and select the lastest version of virgo tooling.

The eclipse was also fresh with link 'www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/indigo/SR2/eclipse-jee-indigo-SR2-win32-x86_64.zip'.

If you make sure that your eclipse is fresh ,i don't think it could work.

By the way, i have installed it successfully on a other way.
I use a offline package 'eclipse-plugin-VirgoIDE-1.0.0.201106220519-M01.zip' in links way on eclipse 'springsource-tool-suite-2.9.1'.

But i want it to be installed on any platform independently


Re: virgo ide installation failed [message #854322 is a reply to message #853933] Mon, 23 April 2012 22:03 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
OK, that's really weird, because it *does* work for me. The only thing I can think of is that both Leo and I are developing on a Mac, and I have not tested it on a Windows machine. Can anyone else confirm whether they are able to install into current JEE Windows?

Please open a bug and include the complete notification for the bad install.

thanks,

Miles
Re: virgo ide installation failed [message #854727 is a reply to message #854322] Tue, 24 April 2012 07:35 Go to previous messageGo to next message
Frieder Heugel is currently offline Frieder HeugelFriend
Messages: 61
Registered: October 2010
Location: Basel, CH
Member
Hi Miles

I am able to install Virgo Tooling on Indigo 64bit and Windows 7.

Cheers
Frieder
Re: virgo ide installation failed [message #857498 is a reply to message #854727] Thu, 26 April 2012 15:39 Go to previous message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Frieder, thanks that's very helpful.

Abrams, I'm not going to follow up on this combination right now unless we have confirmation from someone else that they aren't able to install into Indigo, but please do open a bug with details if you're still having issues.

As a note to everyone, if you do have a specific installation issue, please open up a bug. That way we can ensure that we're tracking these issues transparantly.

[Updated on: Thu, 26 April 2012 15:40]

Report message to a moderator

Previous Topic:Loading a vanilla war file fails until WABheaders=defaulted is set
Next Topic:Connecting to Virgo's JMX
Goto Forum:
  


Current Time: Mon Nov 24 02:58:08 GMT 2014

Powered by FUDForum. Page generated in 0.03155 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software